|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||
ObjectServletUtils
public class ServletUtils
| Constructor Summary | |
|---|---|
ServletUtils()
|
|
| Method Summary | |
|---|---|
static void |
dumpRequest(ServletRequest request,
PrintStream output)
Print parameters and attributes in the given request. |
static void |
dumpServletContext(ServletContext context,
PrintStream output)
Print attributes in the given ServletContext. |
static String |
getBaseName(String uri)
Get the base filename of the given URI. |
static String |
getDirName(String uri)
Get the directory path of the given URI. |
static void |
preventCache(ServletResponse response)
Set response headers to prevent caching of the response by the browser. |
| Methods inherited from class Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public ServletUtils()
| Method Detail |
|---|
public static void dumpRequest(ServletRequest request,
PrintStream output)
request - the current HttpServletRequest.output - a PrintStream to which to output request parameters and request/session
attributes; if null, System.err is used.
public static void dumpServletContext(ServletContext context,
PrintStream output)
context - the current ServletContext.output - a PrintStream to which to output ServletContext attributes; if null,
System.err is used.public static void preventCache(ServletResponse response)
response - the current ServletResponsepublic static String getBaseName(String uri)
uri - the URI from which to get the base filename.
public static String getDirName(String uri)
uri - the URI from which to get the directory path.
|
|||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||